curl "https://api.getversive.com/api/v1/insights?interview_id=5c8e2f1a-7d4b-4e9c-a1f3-6b2d8c4e0a9f" \
-H "Authorization: Bearer $VERSIVE_API_KEY"
{
"id": "<string>",
"type": "<string>",
"study_id": "<string>",
"json_content": {},
"created_at": "<string>",
"updated_at": {}
}Insights
Get interview insights
Fetch the AI-generated summary for an interview
GET
/
insights
curl "https://api.getversive.com/api/v1/insights?interview_id=5c8e2f1a-7d4b-4e9c-a1f3-6b2d8c4e0a9f" \
-H "Authorization: Bearer $VERSIVE_API_KEY"
{
"id": "<string>",
"type": "<string>",
"study_id": "<string>",
"json_content": {},
"created_at": "<string>",
"updated_at": {}
}Returns the AI-generated transcript summary insight(s) for a completed interview.
string
required
The interview ID.
Response
An array of insight objects:string
string
Currently
TRANSCRIPT_SUMMARY.string
object
The structured summary content.
string
string | null
curl "https://api.getversive.com/api/v1/insights?interview_id=5c8e2f1a-7d4b-4e9c-a1f3-6b2d8c4e0a9f" \
-H "Authorization: Bearer $VERSIVE_API_KEY"